Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Activator_Callback_Impl Class Reference

`#include <ServerActivator_Impl.h>`

Collaboration diagram for CIAO::Activator_Callback_Impl:

[legend]
List of all members.

## Public Member Functions
| Activator_Callback_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, Components::Deployment::ServerActivator_ptr s, const Components::ConfigValues &cofig)
| Constructor.
| ~Activator_Callback_Impl ()
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
Components::Deployment::ServerActivator_ptr | register_component_server (Components::Deployment::ComponentServer_ptr svr, Components::ConfigValues_out config ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Member Functions
Components::Deployment::ComponentServer_ptr | get_server_ref (void)
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_
Components::Deployment::ServerActivator_ptr | activator_
Components::Deployment::ComponentServer_var | server_
Components::ConfigValues_var | config_
## Friends
class | ServerActivator_Impl

## Constructor & Destructor Documentation

CIAO::Activator_Callback_Impl::Activator_Callback_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | Components::Deployment::ServerActivator_ptr | s,
|  | const Components::ConfigValues & | cofig
| ) |

| Constructor.

CIAO::Activator_Callback_Impl::~Activator_Callback_Impl | ( |  | ) |

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::Activator_Callback_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

Components::Deployment::ComponentServer_ptr CIAO::Activator_Callback_Impl::get_server_ref | ( | void |  | ) | `[protected]`

Components::Deployment::ServerActivator_ptr CIAO::Activator_Callback_Impl::register_component_server | ( | Components::Deployment::ComponentServer_ptr | svr,
|  | Components::ConfigValues_out config | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

| Record the ComponentServer reference returned by the newly spawned ComponentServer and give it back a reference to ServerActivator.

## Friends And Related Function Documentation

friend class ServerActivator_Impl`[friend]`

## Member Data Documentation

Components::Deployment::ServerActivator_ptr CIAO::Activator_Callback_Impl::activator_`[protected]`

| This servant only lives as long as a call to the create_component_server method in ServerActivator, so there's no need to duplicate the object reference here.

Components::ConfigValues_var CIAO::Activator_Callback_Impl::config_`[protected]`

CORBA::ORB_var CIAO::Activator_Callback_Impl::orb_`[protected]`

PortableServer::POA_var CIAO::Activator_Callback_Impl::poa_`[protected]`

Components::Deployment::ComponentServer_var CIAO::Activator_Callback_Impl::server_`[protected]`

The documentation for this class was generated from the following files:

- ServerActivator_Impl.h
- ServerActivator_Impl.cpp